package org.websparrow.controller;

import java.util.Hashtable;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.websparrow.model.Student;
import org.websparrow.service.StudentService;

@RestController
@RequestMapping("/student")
public class StudentController {

	@Autowired
	StudentService studentService;

	@RequestMapping("/{rollNo}")
	public Student getOne(@PathVariable("rollNo") Integer rollNo) {
		return studentService.findByRollNo(rollNo);
	}

	@RequestMapping("/all")
	public Hashtable<Integer, Student> getAll() {
		return studentService.findAll();
	}

}
